library(aggexp)
rr_all = runAlgorithm("rr", experts=1:22, stations="PQV_2014", H=183)
ml_all = runAlgorithm("ml", experts=1:22, stations="PQV_2014", H=183, grad=TRUE)
ml_half = runAlgorithm("ml", experts=c(1:10,11,13,15,17,19,21), stations="PQV_2014", H=183, grad=TRUE)
rr_half = runAlgorithm("rr", experts=c(1:10,11,13,15,17,19,21), stations="PQV_2014", H=183)
rr_nogam = runAlgorithm("rr", experts=1:10, stations="PQV_2014", H=183)
ml_nogam = runAlgorithm("ml", experts=1:10, stations="PQV_2014", H=183, grad=TRUE)

png("comparePerformances.png", width=1920, height=1080)
par(las=1, mfrow=c(2,3))
plotCloud(rr_nogam, main="RR - no GAM")
plotCloud(rr_half, main="RR - high polluted GAM")
plotCloud(rr_all, main="RR - all GAM")
plotCloud(ml_nogam, main="ML - no GAM")
plotCloud(ml_half, main="ML - high polluted GAM")
plotCloud(ml_all, main="ML - all GAM")
dev.off()
