#!/bin/bash

mkdir -p ../summariesByStation

files=`ls ../aggexp/data/*.csv`
for file in $files; do
	stationName=`basename -s .csv $file`
	sed "s/STATIONNAME/$stationName/g" modele.Rnw > tmp.Rnw
	case $stationName in
	"ALE"|"MRA"|"NEI"|"MAS")
		sed -i "s/EXPERTSINDICES/c(1:4,6:10)/" tmp.Rnw
		;;
	*)
		sed -i "s/EXPERTSINDICES/1:10/" tmp.Rnw
		;;
	esac
	R CMD BATCH runSummary.R
	pdflatex tmp.tex
	mv tmp.pdf ../summariesByStation/$stationName.pdf
done

rm -f tmp*
rm -f .RData
rm -f runSummary.Rout
if [ -d figs/ ]; then
	rm -rf figs/
fi
